import request from '@/utils/request'

// 查询时长订单列表
export function listTimeBill(query) {
  return request({
    url: '/ss/timeBill/list',
    method: 'get',
    params: query
  })
}

// 查询时长订单详细
export function getTimeBill(billId) {
  return request({
    url: '/ss/timeBill/' + billId,
    method: 'get'
  })
}

// 新增时长订单
export function addTimeBill(data) {
  return request({
    url: '/ss/timeBill',
    method: 'post',
    data: data
  })
}

// 修改时长订单
export function updateTimeBill(data) {
  return request({
    url: '/ss/timeBill',
    method: 'put',
    data: data
  })
}

// 删除时长订单
export function delTimeBill(billId) {
  return request({
    url: '/ss/timeBill/' + billId,
    method: 'delete'
  })
}
